Package: org.gradle.plugins.ide.eclipse.model

## [Java] Interface FileReference

- A reference to a file in eclipse.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()` Returns the target file.
    `String` | `getJarURL()` Returns the jar URL of the file
    `String` | `getPath()` Returns the logical path for the file.
    `boolean` | `isRelativeToPathVariable()` Returns true if this reference is relative to a path variable.

- - ### Method Detail

    - #### public File getFile()

      Returns the target file.

    - #### public String getJarURL()

      Returns the jar URL of the file

    - #### public String getPath()

      Returns the logical path for the file.

    - #### public boolean isRelativeToPathVariable()

      Returns true if this reference is relative to a path variable.